// swift-tools-version: 5.9
import PackageDescription

let package = Package(
    name: "CelestiaTrace",
    platforms: [
        .iOS(.v17)
    ],
    products: [
        .library(
            name: "CelestiaTrace",
            targets: ["CelestiaTrace"]),
    ],
    targets: [
        .target(
            name: "CelestiaTrace",
            path: "CelestiaTrace",
            exclude: [
                "App/CelestiaTraceApp.swift"
            ]),
        .testTarget(
            name: "CelestiaTraceTests",
            dependencies: ["CelestiaTrace"],
            path: "Tests/CelestiaTraceTests")
    ]
)
